de.caff.util.ui

## Class ListUIResourceHandler

- java.lang.Object
- - de.caff.util.ui.UIResourceHandler
  - - de.caff.util.ui.ArrayUIResourceHandler
    - - de.caff.util.ui.ListUIResourceHandler

-     public class ListUIResourceHandler
      extends ArrayUIResourceHandler

  UI Resource handler for arrays of other resources.
  Author:
    Rammi

- - ### Field Summary

    - ### Fields inherited from class de.caff.util.ui.ArrayUIResourceHandler

      `ARRAY_END, ARRAY_START, ELEMENT_SEPARATOR, elementHandler, MARKER, MARKER_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListUIResourceHandler(java.lang.String id, UIResourceHandler elementHandler)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `fromValue(java.lang.Object value)` Get the string representation of a value.
    `protected java.lang.Object` | `toValue(java.lang.String text)` Convert a textual representation of a value to a value.

    - ### Methods inherited from class de.caff.util.ui.ArrayUIResourceHandler

      `getHandledClass, split`

    - ### Methods inherited from class de.caff.util.ui.UIResourceHandler

      `getID, getValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListUIResourceHandler

          public ListUIResourceHandler(java.lang.String id,
                                       UIResourceHandler elementHandler)

      Constructor.
      Parameters:
        `id` - ID of resource
        `elementHandler` - handler for the array elements

  - ### Method Detail

    - #### toValue

          protected java.lang.Object toValue(java.lang.String text)

      Convert a textual representation of a value to a value.
      Overrides:
        `toValue` in class `ArrayUIResourceHandler`
      Parameters:
        `text` - textual representation
      Returns:
        the value or `null` if the text cannot be converted
      See Also:
        `UIResourceHandler.fromValue(Object)`

    - #### fromValue

          protected java.lang.String fromValue(java.lang.Object value)

      Get the string representation of a value.
      Overrides:
        `fromValue` in class `ArrayUIResourceHandler`
      Parameters:
        `value` - the UI value
      Returns:
        the value in textual form
      See Also:
        `toValue(String)`